<? 
include ("clases/doc_curso.class.php");
include ("clases/curso.class.php");
include ("clases/autor.class.php");
include ("clases/pregunta.class.php");
$objdc = new doc_curso(); $objc = new curso(); $objd = new autor(); $objpre = new pregunta();
$iddoc=$_REQUEST['id'];
/*if($objdc->BuscarPorCodigo($iddoc)){
     $iddoc_curso = $objdc->getIddoc_curso();   
   }*/
/*//////////////////////////////   
$idpreg=$_REQUEST['idpreg'];
if($objpre->BuscarPorCodigo($idpreg)){
     $iddoc_curso = $objpre->getIddoc_curso();
	 if($objdc->BuscarPorCodigo($iddoc_curso)){
	    $idcurso =$objdc->getIdcurso();
		if($objc->BuscarPorCodigo($idcurso)){
		   $curso = $objc->getCurso(); 
		} 
	 }
	 
	 $pregunta = $objpre->getPregunta();
	 $puntaje = $objpre->getPuntaje();  
	 $valor = "M";
   }else{
   			$valor = "R";
         }
  */
?>
<html>
	<head><title>mi web</title>
	<meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="Shortcut Icon" type="image/x-icon" href="assets/icons/book.ico" />
    <script src="js/sweet-alert.min.js"></script>
    <link rel="stylesheet" href="css/sweet-alert.css">
    <link rel="stylesheet" href="css/material-design-iconic-font.min.css">
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <link rel="stylesheet" href="css/jquery.mCustomScrollbar.css">
    <link rel="stylesheet" href="css/timeline.css">
    <link rel="stylesheet" href="css/style.css">
    <script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
    <script>window.jQuery || document.write('<script src="js/jquery-1.11.2.min.js"><\/script>')</script>
    <script src="js/modernizr.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
    <script src="js/main.js"></script>
<style>
.text_docentes{ font-size:12px; font-family:Arial, Helvetica, sans-serif;}
</style>

		</head>
	
	<script language="javascript">
	function validarTexto(f){
		if(f.iddoc_curso.value ==""){
			alert("seleccione curso por favor");
			return false;
		}
		if(f.titulo.value==""){
			alert("ingrese titulo de examen");
			return false;
		}
		if(f.tiempo.value==""){
			alert("debe ingresar un numero de tiempo de duracion del examen");
			return false;
		}
		if(f.activo.value==""){
			alert("seleccione el estado del examen");
			return false;
		}		
		f.submit();		
		return true;
	}
	
	</script>
	<body>
	<div class="container">
	<form action="controladores/procesacabevaluacion.php" onSubmit="return validarTexto(this)" method="post" name="f">
	<div class="panel-heading">
      <h2>Registrar Cuestionario: 
      
        <input type="hidden" name="iddoc" value="<?=$iddoc;?>">
	  <input type="hidden" name="txtpara" value="R">
      </h2>
	</div>
	<div class="form-group">
	Seleccione Curso: 
	</div>
	<div class="form-group">
	<select name="iddoc_curso" class="form-control-static">
		        <option value="<?=$iddoc_curso;?>"><?=$curso;?></option>
               <? $lista=$objdc->ListarPorDocente($iddoc);
			 	  for($i = 0; $i<count($lista); $i++)
			       {
			         if($objc->BuscarPorCodigo($lista[$i]["idcurso"])){
				        $lista[$i]["curso"]=$objc->getCurso(); 
				      }	 
		        ?>  
		           <option value="<?=$lista[$i]["iddoc_curso"];?>"><?=$lista[$i]["curso"];?></option>
		      <?
		        }		
	          ?>
      </select> 
	</div>
	<div class="form-group">
	Descripcion del Cuestionario: 
	</div>
	<div class="form-group">
	<input name="titulo" type="text" value=""  class="form-control" >
	</div>
	<div class="form-group">
	Duracion en minutos: 
	</div>
	<div class="form-group">
	<input name="tiempo" type="text" value="" size="7" class="form-control-static" >
	</div>
	<div class="form-group">
	 Visible:	</div>
	<div class="form-group" >
	<select name="activo" class="form-control-static">
            <option value="">Seleccione</option>
           <option value="No">No</option>
            <option value="Si">Si</option>            
      </select>
	</div>
	<div class="form-group">
	<input type="submit" name="b" value="Registrar" class="btn btn-success btn-lg">
	</div>
	  
	</form>
</div>
	</body>	
</html>
